#version 330 core

//uniform mat4 depthMVP;

uniform sampler2D Texture1; // need

// Ouput data
//layout(location = 0) out float fragmentdepth;

void main(){
    
    // Not really needed, OpenGL does it anyway
    // fragmentdepth = gl_FragCoord.z;
    
    vec4  color;
    color = texture2D(Texture1, gl_TexCoord[0].st);
	gl_FragColor = color;
    
}
